import { EventEmitter } from '@angular/core';
import { AlertType } from './alert.types';
import * as i0 from "@angular/core";
export declare class AlertComponent {
    type: AlertType;
    cssClass: string;
    closeable: boolean;
    /**
     * @deprecated
     */
    content: HTMLElement | string;
    showIcon: boolean;
    closeEvent: EventEmitter<AlertComponent>;
    set dismissTime(time: any);
    hide: boolean;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "d-alert", never, { "type": { "alias": "type"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "closeable": { "alias": "closeable"; "required": false; }; "content": { "alias": "content"; "required": false; }; "showIcon": { "alias": "showIcon"; "required": false; }; "dismissTime": { "alias": "dismissTime"; "required": false; }; }, { "closeEvent": "closeEvent"; }, never, ["*"], false, never>;
}
