import { ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BackTopComponent implements OnInit, OnChanges, OnDestroy {
    private cdr;
    private el;
    private doc;
    customTemplate: TemplateRef<any>;
    visibleHeight: number;
    bottom: string;
    right: string;
    scrollTarget: HTMLElement;
    backTopEvent: EventEmitter<boolean>;
    currScrollTop: number;
    isVisible: boolean;
    SCROLL_REFRESH_INTERVAL: number;
    target: HTMLElement | Window;
    subs: Subscription;
    document: Document;
    constructor(cdr: ChangeDetectorRef, el: ElementRef, doc: any);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    addScrollEvent(): void;
    getScrollTarget(): HTMLElement | Window;
    showButton(): void;
    goTop(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BackTopComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BackTopComponent, "d-back-top", never, { "customTemplate": { "alias": "customTemplate"; "required": false; }; "visibleHeight": { "alias": "visibleHeight"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; "right": { "alias": "right"; "required": false; }; "scrollTarget": { "alias": "scrollTarget"; "required": false; }; }, { "backTopEvent": "backTopEvent"; }, never, never, false, never>;
}
